package com.yonge.cooleshow.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_login_log):
 */
public class SysUserLoginLog {

	private Long id;

	/** 会员ID */
	@ApiModelProperty(value = "会员ID",required = false)
	private Long userId;
	
	@ApiModelProperty(value = "客户端",required = false)
	private String clientId;

	/** 登录IP */
	@ApiModelProperty(value = "登录IP",required = false)
	private String loginIp;

	/** 登录时间 */
	@ApiModelProperty(value = "登录时间",required = false)
	private java.util.Date loginTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

	public String getLoginIp() {
		return this.loginIp;
	}

	public void setLoginTime(java.util.Date loginTime) {
		this.loginTime = loginTime;
	}

	public java.util.Date getLoginTime() {
		return this.loginTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
